Free Grok 4.20 on Vercel

在 Vercel 上免费运行 Grok 4.20 — 无钥匙,在 5 美元/月的 AI 网关信用范围内。

更新于 2026/6/52 个代码示例
加载评分…

关于该模型

Grok 4.20

Grok 4.20 提供多种运行档位,适配不同的延迟与质量需求:

  • reasoning:开启扩展推理,攻坚复杂任务(xai/grok-4.20-0309-reasoning)。
  • non-reasoning:跳过思考链,极速响应(xai/grok-4.20-0309-non-reasoning)。
  • multi-agent:多智能体协同(xai/grok-4.20-multi-agent-0309)。

Vercel 每月 $5 免 Key 额度内免费Cloudflare 免 Key 但付费(统一计费、原价透传)。

如何免费接入 (通过 Vercel AI Gateway)

免费依据:每月 $5 系统额度

Vercel 每月提供价值 $5 的系统层 AI 额度(含免费 Hobby 计划),当月未超即可 免 Key 调用。Vercel 上的 Grok 4.20 模型 id:xai/grok-4.20-reasoning

在浏览器里试用

选个模型、粘贴你自己的免费 Key,即可运行。你的 Key 只用于调用一次该提供商,绝不存储在我们的服务器上。

选个模型、粘贴你自己的免费 Key,即可运行。你的 Key 只用于调用一次该提供商,绝不存储在我们的服务器上。

调用代码示例

javascript
import { streamText } from 'ai';
const { textStream } = streamText({
  model: 'xai/grok-4.20-reasoning',
  prompt: 'Plan a 3-step refactor.',
});
for await (const chunk of textStream) process.stdout.write(chunk);
curl
curl https://ai-gateway.vercel.sh/v1/chat/completions \
  -H "Authorization: Bearer $AI_GATEWAY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"model":"xai/grok-4.20-reasoning","messages":[{"role":"user","content":"Plan a 3-step refactor."}]}'

社区反馈

评论与你的 GitHub 账号绑定,登录后即可参与讨论。